#!/bin/bash
# fa un conto alla rovescia partendo da un numero passato
# da tastiera fino a zero. Se non specificato, il conteggio parte da 10

if [ ! -z "$1" ]; then
	COUNT="$1"
else
	COUNT=10
fi

echo "Inizio conto alla rovescia:"
while [ "$COUNT" -ge 0 ]; do
	sleep 1
	echo "$COUNT"
	let "COUNT = $COUNT - 1" 	# decrementa COUNT
done

echo "Fine conteggio"
exit
