#!/bin/bash
# controlla se esiste il file passato come parametro utilizzando
# il codice di errore riportato dal comando cat per il controllo

if cat "$1" >/dev/null 2>/dev/null
then
	echo "Il file $1 esiste ed e' leggibile."
else
	echo "Il file $1 non esiste o non hai il permesso di lettura."
	exit 1
fi

exit 0
