#!/bin/bash
# utilizzo: matrix [rows [columns]]
# disegna una matrice di coordinate cartesiane

if [ -z "$1" ]; then
	ROWS=10
else
	ROWS=$1
fi

if [ -z "$2" ]; then
	COLUMNS=6
else
	COLUMNS=$2
fi

for R in `seq $ROWS`; do
	for C in `seq $COLUMNS`; do
		echo -n -e "($R,$C)\t"
	done
	echo 
done

exit
